<?php if (!defined(JZ_SECURE_ACCESS)) die ('Security breach detected.');
	/**
	 * - JINZORA | Web-based Media Streamer -  
	 * 
	 * Jinzora is a Web-based media streamer, primarily desgined to stream MP3s 
	 * (but can be used for any media file that can stream from HTTP). 
	 * Jinzora can be integrated into a CMS site, run as a standalone application, 
	 * or integrated into any PHP website.  It is released under the GNU GPL.
	 * 
	 * - Resources -
	 * - Jinzora Author: Ross Carlson <ross@jasbone.com>
	 * - Web: http://www.jinzora.org
	 * - Documentation: http://www.jinzora.org/docs	
	 * - Support: http://www.jinzora.org/forum
	 * - Downloads: http://www.jinzora.org/downloads
	 * - License: GNU GPL <http://www.gnu.org/copyleft/gpl.html>
	 * 
	 * - Contributors -
	 * Please see http://www.jinzora.org/modules.php?op=modload&name=jz_whois&file=index
	 * 
	 * - Code Purpose -
	 * This is the media backend for the database adaptor.
	 *
	 * @since 05.10.04
	 * @author Ben Dodson <bdodson@seas.upenn.edu>
	 */
	class sqlTable {
		var $data;
		var $rows;
		
		function sqlTable() {
			$this->data = array();	
			$this->rows = 0;
		}
		
		function add($row) {
			foreach ($row as $key => $val) {
				$this->data[$this->rows][$key] = $val;
			}
			$this->rows++;
		}
	}
	
	
	// TO DO!!!!
	function resultsToArray(&$results,$type = false) {
		if ($type === false) {
			$arr = array();
			$hash = array();   
			for ($i = 0; $i < $results->rows; $i++) {
				if ($results->data[$i]['leaf'] == "false") {
					$me = &new jzMediaNode(jz_db_unescape($results->data[$i]['path']));
					$me->leafcount = $results->data[$i]['leafcount'];
					$me->nodecount = $results->data[$i]['nodecount'];
					$me->artpath = jz_db_unescape($results->data[$i]['main_art']);
					$me->myid = $results->data[$i]['my_id'];
					if ($me->artpath == "") {
						$me->artpath = false;
					}
					$me->playcount = $results->data[$i]['playcount'];
					$me->dlcount = $results->data[$i]['dlcount'];
					$me->longdesc = jz_db_unescape($results->data[$i]['longdesc']);
					// Gross hack to follow;
					// Fixes case where an album is in 2 genres from 1 artist:
					if ($backend == "id3-database") {
						if (!isset($hash[pathize(strtolower($me->getName()))])) {
							$arr[] = $me;
							$hash[pathize(strtolower($me->getName()))] = true;
						}
					} else {
						$arr[] = $me;
					}
				}	else {
					$arr[] = &new jzMediaTrack(jz_db_unescape($results->data[$i]['path']));
				}
			}
			return $arr;
		} else if ($type == 'tracks') {
			$arr = array();
			for ($i = 0; $i < $results->rows; $i++) {
				$me = &new jzMediaTrack(jz_db_unescape($results->data[$i]['path']));
				// FILL META HERE. ***//
				if (isset($results->data[$i]['filepath']) && $results->data[$i]['filepath'] != "")
					$me->playpath = $results->data[$i]['filepath'];
				if ($results->data[$i]['trackname'] != "" && $results->data[$i]['trackname'] != "-")
					$me->title = jz_db_unescape($results->data[$i]['trackname']);
				$arr[] = $me;
			}
			return $arr;
		}
	}
	
	
	function jz_db_connect() {
		global $sql_pw, $sql_socket, $sql_db, $sql_usr;
		
		if (function_exists("mysql_query")) {
			$link = @mysql_connect($sql_socket, $sql_usr, $sql_pw);
			if (!$link) return false;
			if(!@mysql_select_db($sql_db, $link)){
				return false;
			}
		}
		return $link; 
	}
	
	
	function jz_db_drop() {
		global $sql_pw, $sql_socket, $sql_db, $sql_usr;
	
		if (function_exists("mysql_query")) {
			$link = @mysql_connect($sql_socket,$sql_usr,$sql_pw);
			if (!$link) return false;
			@mysql_query("DROP DATABASE $sql_db");
			return;
		} else {
			return false;
		}			
	}
	
	
	function jz_db_create() {
		global $sql_pw, $sql_socket, $sql_db, $sql_usr;
		
		if (function_exists("mysql_query")) {
			$link = @mysql_connect($sql_socket,$sql_usr,$sql_pw);
			if (!$link) return false;
			return mysql_query("CREATE DATABASE $sql_db");
		} else {
			return false;
		}
	}
	
	function jz_db_query($link, $sql) {
		global $sql_pw, $sql_socket, $sql_db, $sql_usr;
	
		if (function_exists("mysql_query")) {
			$results = mysql_query($sql, $link);
			if (!$results){ 
				return false; 
			}
			$res = &new sqlTable();
			while ($row = @mysql_fetch_array($results, MYSQL_BOTH)) {
				$res->add($row);
			}
			return $res;
		} else {
			return false;
		}
	}
	
	function jz_db_error($link) {
		global $sql_pw, $sql_socket, $sql_db, $sql_usr;
		
		if (function_exists("mysql_query")) {
			return mysql_error($link);
		}
	}
	
	function jz_db_close($link) {
		global $sql_type;
		
		// Hack by Ross to fix things for Postnuke
		return;
		
		if (function_exists("mysql_query")) {
			return mysql_close($link);
		} else {
			return false;
		}
	}
	
	function jz_db_escape($string) {
		return addSlashes($string);
	}
	
	function jz_db_unescape($string) {
		return stripSlashes($string);
	}
	
	function jz_db_rand_function() {
		return "rand()";
	}
?>