<?php if (!defined(JZ_SECURE_ACCESS)) die ('Security breach detected.');
	/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *        
	* JINZORA | Web-based Media Streamer   
	*
	* Jinzora is a Web-based media streamer, primarily desgined to stream MP3s 
	* (but can be used for any media file that can stream from HTTP). 
	* Jinzora can be integrated into a CMS site, run as a standalone application, 
	* or integrated into any PHP website.  It is released under the GNU GPL. 
	* 
	* Jinzora Author:
	* Ross Carlson: ross@jasbone.com 
	* http://www.jinzora.org
	* Documentation: http://www.jinzora.org/docs	
	* Support: http://www.jinzora.org/forum
	* Downloads: http://www.jinzora.org/downloads
	* License: GNU GPL <http://www.gnu.org/copyleft/gpl.html>
	* 
	* Contributors:
	* Please see http://www.jinzora.org/modules.php?op=modload&name=jz_whois&file=index
	*
	* Code Purpose: This page contains all the Genre/Artist display related functions
	* Created: 9.24.03 by Ross Carlson
	*
	* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
	
	// This function displays all the Genres or Artists 
	function drawPage(&$node){
		global $media_dir, $skin, $hierarchy, $album_name_truncate, $web_root, $root_dir, 
						$jz_MenuItemLeft, $jz_MenuSplit, $jz_MenuItemHover, $jz_MainItemHover, $jz_MenuItem,
						$disable_random, $allow_download, $allow_send_email, $amg_search, $echocloud, $include_path, 
						$img_play, $img_random_play, $this_page, $img_check, $img_check_none, $jzUSER, $img_play_dis, $img_random_play_dis,
						$show_sampler, $show_similar, $show_radio, $show_album_art, $days_for_new, $raw_img_new, $sort_by_year;			
		
		// Let's setup our objects
		$display = &new jzDisplay();
		$blocks = &new jzBlocks();
		$fe = &new jzFrontend();
		
		// Let's grab the data from the backend		
		$nodes = $node->getSubNodes("nodes");
		$tracks = $node->getSubNodes("tracks");
		?>
		<table width="100%" cellpadding="3">
			<tr>
				<?php
					// Do we need this colum?
					$disp = false;
					if (sizeof($nodes) > 0) {
						$disp = true;
					}
					if ((($node->getMainArt()) <> "" or $node->getDescription() <> "") and $show_album_art <> "false") {
					  $disp = true;
					}
					if ($disp){
						echo '<td valign="top" width="10%" valign="top">';
					}
				  if (sizeof($nodes) > 0) {
						$blocks->artistAlbumsBlock($node);
					}
					// let's make sure we have a profile to show
					if ((($art = $node->getMainArt()) !== false or $node->getDescription() <> "") and $show_album_art <> "false") {
					  $blocks->artistProfileBlock($node);
					}
					if ($disp){
						echo '</td>';
					}
				?>
				<td width="80%" valign="top">
				<?php	
					// Now let's see if there are random tracks here
					if (count($tracks) <> 0){
						// Now let's setup our buttons for later
						$playButtons = $display->playLink($node,$img_play,false,false,true). $display->playLink($node,$img_random_play,false,false,true,true);
						// Now let's make sure they can stream
						if (!$jzUSER->getSetting('stream')){
							$playButtons = $img_play_dis. $img_random_play_dis;
						}
						if ($jzUSER->getSetting('download')){
							$playButtons .= $display->downloadButton($node, true, true, true);
						} else {
							$playButtons .= $display->downloadButton($node, true, true, true);
						}
						$playButtons .= $display->podcastLink($node);
						if ($enable_ratings == "true"){
							$playButtons .= $display->rateButton($node, true);		
						}
						$playButtons .= " &nbsp; ";
						
						$blocks->blockHeader($node->getName(). " Tracks",$playButtons);
						$blocks->blockBodyOpen();		
						$blocks->trackTable($tracks, "album");
						$blocks->blockBodyClose();
						$blocks->blockSpacer();
					}
					
					// Do they want the sampler?
					if ($show_sampler == "true" && sizeof($nodes) > 1){
						// Now did they want to view all tracks or just the sampler?
						$viewall = false;
						if (isset($_GET['action'])){
							if ($_GET['action'] == "viewalltracks"){
								$viewall = true;
							}
						}					
						// Now let's display
						if (!$viewall){
							$blocks->displaySlickSampler($node);
						} else {
							$blocks->displaySlickAllTracks($node);
						}				
						
						// Now let's space
						$blocks->blockSpacer();
						
						// Now let's show the album block
						$blocks->artistAlbumArtBlock($node);
					} else {
						if (sizeof($nodes) > 1){
							// Now let's show the album block
							$blocks->artistAlbumArtBlock($node);
						} else {
							// Now, is the disk that's under here a multi disk?
							$subnode = $node->getSubnodes("nodes");
							$blocks->albumTracksBlock($subnode[0]);
						}
					}
					
					
				?>			
				</td>
				<?php
					// Do they want either of these?
					if ($show_similar == "true" or $show_radio == "true"){
						echo '<td width="10%" valign="top">';
						if ($show_radio == "true"){
							$blocks->slickRadioBlock($node);
							$blocks->blockSpacer();
						}
						
						if ($show_similar == "true"){
							$blocks->slickSimilarArtistBlock($node,false,8);
						}
						echo '</td>';
					}
				?>
			</tr>
		</table>
		<?php	
	}
?>