<?php if (!defined(JZ_SECURE_ACCESS)) die ('Security breach detected.');
	/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *    
	* JINZORA | Web-based Media Streamer  
	*
	* Jinzora is a Web-based media streamer, primarily desgined to stream MP3s 
	* (but can be used for any media file that can stream from HTTP). 
	* Jinzora can be integrated into a CMS site, run as a standalone application, 
	* or integrated into any PHP website.  It is released under the GNU GPL. 
	* 
	* Jinzora Author:
	* Ross Carlson: ross@jasbone.com 
	* http://www.jinzora.org
	* Documentation: http://www.jinzora.org/docs	
	* Support: http://www.jinzora.org/forum
	* Downloads: http://www.jinzora.org/downloads
	* License: GNU GPL <http://www.gnu.org/copyleft/gpl.html>
	* 
	* Contributors:
	* Please see http://www.jinzora.org/modules.php?op=modload&name=jz_whois&file=index
	*
	* Code Purpose: This page contains all the album related related functions
	* Created: 9.24.03 by Ross Carlson
	*
	* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

 	// This function displays all the Genres or Artists 
	function drawPage(&$node){
		global $media_dir, $jinzora_skin, $hierarchy, $album_name_truncate, $row_colors, 
						$img_download, $img_more, $img_email, $img_play, $img_random_play, $img_rate, $img_discuss, 
						$num_other_albums, $root_dir, $enable_ratings, $short_date, $jzUSER, $img_play_dis, $img_random_play_dis,
						$img_download_dis, $show_similar, $show_radio, $jzSERVICES, $show_album_art,$cms_mode;

		// Let's setup the new display object
		$display = &new jzDisplay();
		$blocks = &new jzBlocks();
		$fe = &new jzFrontend();
		
		// Now let's setup the row with the description and the art for the album
		?>
		<table width="100%" cellpadding="3">
			<tr>
				<?php
					// Now should we show this colum
					$parent = $node->getAncestor("artist");
					if ($parent !== false) {
					  $parentArt = $parent->getMainArt();
					  $parentDesc = $parent->getDescription();
					  $desc = $node->getDescription();
					  $art = $node->getMainArt();	
					}
					if ($parentArt <> false or $parentDesc <> "" or $desc <> "" or $art <> false){
						echo '<td width="20%" valign="top">';
						$blocks->albumAlbumBlock($node);
						$blocks->artistProfileBlock($node->getAncestor("artist"));
						echo '</td>';
					}
				?>
				<td width="80%" valign="top">
				<?php	
					// Let's show the tracks
					$blocks->albumTracksBlock($node);
					
					// Now let's get some other random images
					if ($num_other_albums > 0) {
						$blocks->albumOtherAlbumBlock($node);
					}
				?>
			</td>
			<?php
			// Do they want either of these?
			if ($show_similar == "true" or $show_radio == "true"){
				echo '<td width="10%" valign="top">';
				if ($show_radio == "true"){
					$blocks->slickRadioBlock($node);
					$blocks->blockSpacer();
				}
				
				if ($show_similar == "true"){
					$blocks->slickSimilarArtistBlock($node,false,8); 
					$blocks->blockSpacer();
					$blocks->slickSimilarAlbumBlock($node,8); 
				}
				echo '</td>';
			}
		?>			
		</tr></table>		
		<?phP
	}
?>
