<?php if (!defined(JZ_SECURE_ACCESS)) die ('Security breach detected.');

	/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *        
	* JINZORA | Web-based Media Streamer   
	*
	* Jinzora is a Web-based media streamer, primarily desgined to stream MP3s 
	* (but can be used for any media file that can stream from HTTP). 
	* Jinzora can be integrated into a CMS site, run as a standalone application, 
	* or integrated into any PHP website.  It is released under the GNU GPL.
	* 
	* Jinzora Author:
	* Ross Carlson: ross@jasbone.com 
	* http://www.jinzora.org
	* Documentation: http://www.jinzora.org/docs	
	* Support: http://www.jinzora.org/forum
	* Downloads: http://www.jinzora.org/downloads
	* License: GNU GPL <http://www.gnu.org/copyleft/gpl.html>
	* 
	* Contributors:
	* Please see http://www.jinzora.org/modules.php?op=modload&name=jz_whois&file=index
	*
	* Code Purpose: Header for the default frontend.
	* Created: 10/3/04 by Ben Dodson
	*
	* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
	require_once($include_path. 'frontend/class.php');
	require_once($include_path. 'frontend/blocks.php');
	require_once($include_path. 'frontend/frontends/slick/blocks.php');		

	class jzFrontend extends jzFrontendClass {
		function pageTop($title = false, $endBreak = "true", $ratingItem = ""){
			global $this_page, $img_home, $quick_list_truncate, $img_random_play, $cms_mode, 
			$random_play_amounts, $directory_level, $img_up_arrow, $header_drops, $genre_drop, $artist_drop, 
			$album_drop, $quick_drop, $root_dir, $web_root, $song_drop, $audio_types, $video_types, $media_dir, 
			$img_more,$img_random_play_dis, $url_seperator, $help_access, $jukebox, $jukebox_num,
			$disable_random, $jz_lang_file, $show_slimzora, $img_slim_pop, $allow_resample, $resampleRates, $default_random_type, 
			$default_random_count, $display_previous, $echocloud, $display_recommended, $enable_requests, $enable_ratings, 
			$enable_search, $enable_meta_search, $user_tracking_display, $user_tracking_admin_only, $site_title, $node, $jzUSER, $img_play, 
			$img_playlist, $skin, $include_path, $raw_img_play,$raw_img_random_play,$raw_img_download,$raw_img_add,
			$img_play_dis, $img_random_play_dis, $img_download_dis, $img_add_dis, $img_playlist_dis, $allow_filesystem_modify, $disable_leftbar,
			$allow_interface_choice, $allow_style_choice, $allow_lang_choice, $show_now_streaming, $show_who_is_where, $show_user_browsing, 
			$jukebox_height, $backend, $resize_images,$jukebox_display, $allow_resample, $enable_discussion, $enable_ratings, $show_options;
			
			// First let's include the settings for Slick
			include_once($include_path. "frontend/frontends/slick/settings.php");
			
			// Let's see if they wanted to pass a title
			if (!$title) { $title = $site_title; }			
			if (!isset($_GET['jz_path'])){$_GET['jz_path']="";}
										
			// Let's setup our objects
			$root = &new jzMediaNode();
			$display = &new jzDisplay();
			$blocks = new jzBlocks();
			
			?>
				<tr>
					<?php
					if ($jzUSER->getSetting("admin")){ $disable_leftbar = "false"; }
					if ($disable_leftbar == "false"){
					?>
					<td width="148" valign="top">
						<table width="100%" cellpadding="1"><tr><td height="1" width="100%"></td></tr></table>
						
						
						<?php
							// Now we need to check to see if the install is secure
							if ($blocks->checkForSecure()){
								$blocks->leftNavBlockSpacer();
								$blocks->leftNavBlockOpen();
								?>
								<table width="100%" cellpadding="0" cellspacing="0" border="0">
									<tr>
										<td width="100%">
											<table width="100%" cellpadding="2" cellspacing="0" border="0">
												<tr>
													<td width="100%" valign="top" align="center">
														<font size="1">
															<strong>ERROR!!!</strong>
														</font>
													</td>
												</tr>
												<tr>
													<td width="100%" valign="top">
														<font size="1">
															Your Jinzora installation is NOT secure! You need
															to remove the install directory immediately!
														</font>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
								<?php
								$blocks->leftNavBlockClose();
								exit();
							}

							$arr = array();
							$arr['jz_path'] = "";
							// When ready: change $skin to $jzUSER->getSetting('theme')
							if (stristr($skin,"slick")){
								echo '<a href="'. urlize($arr). '"><img src="'. $root_dir. '/style/'. $skin. '/big-logo.gif" border="0"></a>';
								echo '<table width="100%" cellpadding="1"><tr><td height="1" width="100%"></td></tr></table>';
							}
						?>
						
						<table width="148" cellpadding="5" cellspacing="0" border="0">
							<tr>
								<td width="100%" class="jz_block_td">
									<?php $blocks->openInnerBlock(); ?>
									<table width="100%" cellpadding="2" cellspacing="0" border="0">
										<tr>
											<td width="100%" valign="top">
												<?php
													$display->homeButton();                                       
													// if ($show_slimzora == "true" && $jzUSER->getSetting('view') !== false) {
													echo "&nbsp;";
													$display->popupLink('slimzora'); // when you want it Ross.
													echo "&nbsp;";
													$display->popupLink('docs');
													echo "&nbsp;";
													$display->popupLink('admintools');
													// }
												?>
											</td>
										</tr>
										<?php
											// Let's make sure this isn't CMS
											if ($cms_mode == "false"){
										?>
										<tr>
											<td width="100%" valign="top">
												<font size="1">
													<strong><?php echo word("Logged in as"); ?>:</strong>
												</font>
												<br>
												<font size="1">
													<strong><?php echo $jzUSER->getName(); ?></strong>
												</font>
											</td>
										</tr>
										<?php
											}
										?>
									</table>
									<?php $blocks->closeInnerBlock(); ?>
									
									<table width="100%" cellpadding="1" cellspacing="0" border="0"><tr><td></td></tr></table>
									
									<?php $blocks->openInnerBlock(); ?>
									<table width="100%" cellpadding="0" cellspacing="0" border="0">
										<tr>
											<td width="100%" valign="middle" align="center">
												<nobr>
												
													<?php
														if ($cms_mode == "false"){
										   					$display->loginLink();
														}
														if ($jzUSER->getSetting('edit_prefs') !== false) {
													    	if ($cms_mode == "false"){echo " | ";}
													    	$display->popupLink("preferences");
														}
													?>
												
												</nobr>
											</td>
										</tr>
									</table>
									<?php $blocks->closeInnerBlock(); ?>
								</td>
							</tr>
						</table>
						<?php
							if (checkPermission($jzUSER,"jukebox_queue") && ($jukebox_display == "small" or $jukebox_display == "minimal")) {
								$blocks->leftNavBlockSpacer();
								$blocks->leftNavBlockOpen();
								?> 
								<table width="100%" cellpadding="0" cellspacing="0" border="0">
									<tr>
										<td width="100%">
											<div id="smallJukebox">
											<?php $blocks->smallJukebox(); ?>
											</div>
										</td>
									</tr>
								</table>
								<?php
								$blocks->leftNavBlockClose();
							}
						?>
						<?php
							if ($show_now_streaming == "true" || 
							    ($show_now_streaming == "admin" && $jzUSER->getSetting('admin') === true) || 
							    ($show_now_streaming == "user" && $jzUSER->getID() != $jzUSER->lookupUID(NOBODY))){
								$blocks->leftNavBlockSpacer();
								$blocks->leftNavBlockOpen();
								?> 
								<table width="100%" cellpadding="0" cellspacing="0" border="0">
									<tr>
										<td width="100%">
											<?php $blocks->nowStreaming(); ?>
										</td>
									</tr>
								</table>
								<?php
								$blocks->leftNavBlockClose();
							}
						?>
						
						<?php
							if ($show_who_is_where == "true" || 
							    ($show_who_is_where == "admin" && $jzUSER->getSetting('admin') === true) ||
							    ($show_who_is_where == "user" && $jzUSER->getID() != $jzUSER->lookupUID(NOBODY))){
								$blocks->leftNavBlockSpacer();
								$blocks->leftNavBlockOpen();
								?>
								<table width="100%" cellpadding="0" cellspacing="0" border="0">
									<tr>
										<td width="100%">
											<?php $blocks->userTracking(); ?>
										</td>
									</tr>
								</table>
								<?php
								$blocks->leftNavBlockClose();
							}
						?>
						
						<?php
							// Can this user powersearch?
							if ($jzUSER->getSetting('powersearch')){
								$blocks->leftNavBlockSpacer();
								$blocks->leftNavBlockOpen();
								?>
								<table width="100%" cellpadding="2" cellspacing="0">
									<tr>
										<td width="100%" valign="top">
											<font size="1">
													<?php $url_search = array();
													$url_search['action'] = "powersearch";
													echo '<a href="' . urlize($url_search) . '">'; ?><strong><?php echo word("Search"); ?>:</strong></a>
											</font>
										</td>
									</tr>
									<?php
									$onSubmit = "";
									if ($jukebox == "true" && !defined('NO_AJAX_JUKEBOX')) {
									  $onSubmit = 'onSubmit="return searchKeywords(this);"';
									}
									  ?>				   
									<form action="<?php echo $this_page  ?>" method="POST" name="searchForm" <?php echo $onSubmit; ?>>
									<tr>
										<td width="100%" valign="top">
											<input type="text" name="search_query" class="jz_input" style="width:125px; font-size:10px ">
										</td>
									</tr>
									<tr>
										<td width="100%" valign="top">
											<select class="jz_select" name="search_type" style="width:85px">
												<option value="ALL"><?php echo word("All Media"); ?></option>
												<?php
													if (distanceTo("artist") !== false){
														echo '<option value="artists">'. word("Artists"). '</option>'. "\n";
													}
													if (distanceTo("album") !== false) {
														echo '<option value="albums">' . word("Albums"). '</option>'. "\n";
													}
												?>
												<option value="tracks"><?php echo word("Tracks"); ?></option>
												<option value="lyrics"><?php echo word("Lyrics"); ?></option>
											</select>
											<input type="hidden" name="doSearch" value="true">
											<input type="submit" class="jz_submit" value="<?php echo word("Go"); ?>">
										</td>
									</tr>
									</form>
								</table>
								<?php
								$blocks->leftNavBlockClose();
							}
						?>
						
						<?php 
							if ($jzUSER->getSetting('stream')) {
								$blocks->leftNavBlockSpacer();
								$blocks->leftNavBlockOpen();
								?>
								<table width="100%" cellpadding="0" cellspacing="0" border="0">
									<tr>
										<td width="100%">
											<table width="100%" cellpadding="2" cellspacing="0" border="0">
												<?php 
												$arr = array();
												$arr['jz_path'] = $_GET['jz_path'];
												$link = urlize($arr);
												?>
												<form action="<?php echo $link; ?>" method="POST" name="playlistForm">
													<?php $display->hiddenVariableField('action','playlistAction'); ?>
													<?php $display->hiddenVariableField('path',$_GET['jz_path']); ?>
													<tr>
														<td width="100%" valign="top">
															<font size="1">
																<strong><?php echo word("Playlists"); ?>:</strong>
															</font>
														</td>
													</tr>
													<tr>
														<td width="100%" valign="top">
														<?php $display->playlistSelect("125",false,"all"); ?>
														</td>
													</tr>
													<tr>
														<td width="100%" valign="top">
															<nobr>
															<input type="hidden" name="playlistname" value="">
															<?php
																$display->playListButton();
																echo '&nbsp;';
																$display->randomListButton();
																
																if ($jzUSER->getSetting('download')) { 
																	$display->downloadListButton();
																	echo '&nbsp;';
																}
																$display->createListButton();
																echo '&nbsp;';
																$display->popupLink('plmanager');
															?>
															</nobr>
														</td>
													</tr>
												</form>
											</table>
										</td>
									</tr>
								</table>
								<?php
								$blocks->leftNavBlockClose(); 
							} 
						
							if ($show_user_browsing == "true"){
								$blocks->leftNavBlockSpacer();
								$blocks->leftNavBlockOpen();
								?>						
								<table width="100%" cellpadding="0" cellspacing="0" border="0">
									<tr>
										<td width="100%">
											<table width="100%" cellpadding="2" cellspacing="0" border="0">
												<tr>
													<td width="100%" valign="top">
														<font size="1">
															<strong><?php echo word("Browsing"); ?>:</strong>
														</font>
													</td>
												</tr>
												<tr>
													<td width="100%" valign="top">
														<?php
															// Let's let the user browse if they want
															$display->displayBrowseDropdown();
															echo "<br>";
															$display->displayPrevDropdown($node, "artist");
															echo "<br>";
															$display->displayPrevDropdown($node, "album");
														?>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
								<?php
								$blocks->leftNavBlockClose(); 
							}
							
							if ($show_options == "true"){
								$blocks->leftNavBlockSpacer();
								$blocks->leftNavBlockOpen();
								?>
								<table width="100%" cellpadding="0" cellspacing="0" border="0">
									<tr>
										<td width="100%">
											<table width="100%" cellpadding="2" cellspacing="0" border="0">
												<tr>
													<td width="100%" valign="top">
														<font size="1">
															<strong><?php echo word("Options"); ?>:</strong>
														</font>
													</td>
												</tr>
												<tr>
													<td width="100%" valign="top">
														<?php
															if ($jzUSER->getSetting('stream') and ($enable_discussion == "true" or $enable_ratings == "true")) {
														?>
															<form name="groupform" action="<?php echo $this_page; ?>" method="POST">
																<select class="jz_select" name="action" style="width:125px" onChange="mediaPopupFromSelect(this.form.action.options, 400, 400)">
																	<?php
																		// Now let's setup the values
																		$url_array = array();
																		$url_array['jz_path'] = $node->getPath("String");
																		$url_array['action'] = "popup";
																	?>
																	<option value="">Group Features</option>
																	<option value="<?php $url_array['ptype'] = "rateitem"; echo urlize($url_array); ?>"><?php echo word("Rate Item"); ?></option>
																	<option value="<?php $url_array['ptype'] = "discussitem"; echo urlize($url_array); ?>"><?php echo word("Discuss Item"); ?></option>
																	<option value="<?php $url_array['ptype'] = "requestmanager"; echo urlize($url_array); ?>"><?php echo word("Request Manager"); ?></option>
																</select>
															</form>
															<br>
															<?php
															}
															if ($allow_lang_choice == "true"){
																$display->languageDropdown();
															}
															if ($allow_interface_choice == "true"){
																$display->interfaceDropdown();
															}
															if ($allow_style_choice == "true"){
																echo '<br>';
																$display->styleDropdown();
															}
															?>
														<br>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
								<?php
								$blocks->leftNavBlockClose();
							}
					// This closes our giant if to see if we should display the leftbar at all
					}
					?>
					<td width="99%" valign="top">
						<table width="100%" cellpadding="3"><tr><td valign="top" width="100%">
							<?php
								// Now are the forums post or get?
								// We have to post for CMSes
								if ($cms_mode == "true"){
									$mode = "POST";
								} else {
									$mode = "GET";
								}						
								
								// Now let's display the header for the block
								$title = "Browse";
								if ($node->getName() <> ""){
									$parent = $node->getParent();
									if ($parent->getName() <> ""){
										$title .= " :: ". $parent->getName();
									}
									$title .= " :: ". $node->getName();
								}
								$blocks->blockHeader($title,$blocks->breadCrumbs());
								
								// Now let's open the body block
								$blocks->blockBodyOpen();
							?>
							
							<table width="100%" cellpadding="0" cellspacing="0" border="0" class="jz_left_iblock_inner">
								<tr>									
									<?php
									if ($genre_drop != "false" && ($d = distanceTo("genre")) !== false && $d > 0){
									?>
									<td width="20%">
										<?php $display->popupLink("genre"); ?>
										<br>
										<form action="<?php echo $this_page; ?>" method="<?php echo $mode; ?>">
										<?php $display->hiddenPageVars(); if ($genre_drop == "true") { $display->dropdown("genre"); } ?>
										</form>
									</td>
									<?php
									}
									?>
									<?php
									if ($artist_drop != "false" && ($d = distanceTo("artist")) !== false && $d > 0){
									?>
									<td width="20%">
										<?php $display->popupLink("artist"); ?>
										<br>
										<form action="<?php echo $this_page; ?>" method="<?php echo $mode; ?>">
										<?php $display->hiddenPageVars(); if ($artist_drop == "true") { $display->dropdown("artist"); } ?>
										</form>
									</td>
									<?php
									}
									?>
									<?php
									if ($album_drop != "false" && ($d = distanceTo("album")) !== false && $d > 0){
									?>
									<td width="20%">
										<?php $display->popupLink("album"); ?>
										<br>
										<form action="<?php echo $this_page; ?>" method="<?php echo $mode; ?>">
										<?php $display->hiddenPageVars(); if ($album_drop == "true") { $display->dropdown("album"); } ?>
										</form>
									</td>
<?php
										    }
										    if ($song_drop != "false"){
  ?>
									<td width="20%">
										<?php $display->popupLink("track"); ?>
										<br>
										<form action="<?php echo $this_page; ?>" method="<?php echo $mode; ?>">
										<?php 
										   if ($song_drop == "true") { 
										     $display->hiddenVariableField('action','playlist');
										     $display->hiddenVariableField('type','track');
										     $display->dropdown("track"); 
										   } 
										  ?>
										</form>
									</td>

									<?php
										}
										// Should we show this?
										if ($quick_drop == "true"){
									?>
									<td width="20%">
										<nobr>
										<?php
											$blocks->randomGenerateSelector($node);
										?>
										</nobr>
									</td>
									<?php
										}

										// Let's display the resample dropdown
										if ($jzUSER->getSetting('stream') and $allow_resample == "true" && checkPlayback() != "jukebox") { 
											echo '<td width="20%" class="jz_left_iblock_inner" nowrap>';
											$display->displayResampleDropdown($node);
											echo '</td>';
										}
									?>
								</tr> 
							</table>
							<?php $blocks->blockBodyclose(); ?>
						</td>
					</tr>
				</table> 
			<?php
			
			// Ok, now let's put in the Jukebox block if they are in jukebox mode
			if (checkPermission($jzUSER,"jukebox_queue") && $jukebox_display != "small" && $jukebox_display != "off" and $cms_mode == "false"){
				?>
				<table width="100%" cellpadding="3">
					<tr>
						<td valign="top" width="100%">
				   <?php
							$blocks->blockHeader("Jukebox"); // - ". $link);
							$blocks->blockBodyOpen();
							echo '<div id="jukebox">';
							$blocks->jukeboxBlock();
							echo '</div>';
							$blocks->blockBodyClose();
						?>
					</td>
				</tr>
			</table>
			<?php	
			}
		}
		
		function footer(){
			global $jinzora_url, $this_pgm, $version, $allow_lang_choice,
			$this_page, $web_root, $root_dir, $allow_theme_change, $cms_mode, $skin, $show_loggedin_level, 
			$jz_lang_file, $shoutcast, $sc_refresh, $sc_host, $sc_port, $sc_password, $url_seperator, $jukebox, $show_jinzora_footer, 
			$hide_pgm_name, $media_dir, $img_sm_logo, $show_page_load_time, $allow_speed_choice, $img_play, $img_random_play, $img_playlist,
			$raw_img_play, $raw_img_random_play, $raw_img_download, $jzSERVICES, $cms_mode; 
			
			$display = new jzDisplay();

			// First let's make sure they didn't turn the footer off
			if ($show_jinzora_footer){
				$blocks = new jzBlocks();
				?>
				<table width="100%" cellpadding="3">
					<tr>
						<td valign="top" width="100%">
						<?php
							$blocks->blockBodyOpen();
						?>
						<table width="100%" cellpadding="5" cellspacing="0" border="0">
							<tr>
								<td width="20%" align="right">
									
								</td>
								<td width="60%" align="center">
									<center>
									<?php jzHREF($jinzora_url,"","","",'<img title="'. $this_pgm. " ". $version. '" alt="'. $this_pgm. " ". $version. '" src="'. $root_dir. '/style/'. $skin. '/powered-by-small.gif" border="0">'); ?>
									</center>
								</td>
								<td width="20%" align="right" valign="middle">
									<nobr>
									<?php
										if ($show_page_load_time == "true" and $_SESSION['jz_load_time'] <> ""){
											// Ok, let's get the difference
											$diff = round(microtime_diff($_SESSION['jz_load_time'],microtime()),3);
											if ($cms_mode == "false"){
												echo '<span class="jz_artistDesc">';
											}
											echo word("Page generated in"). ": ". $diff. " ". word("seconds");
											if ($cms_mode == "false"){
												echo "</span>";
											}
										}
									?>
									</nobr>
								</td>
							</tr>
						</table>
						<?php
							$blocks->blockBodyClose();
						?>
						</td>
					</tr>
				</table></td></tr></table>
				<?php
			}
			
			$jzSERVICES->cmsClose();
		}
		
		function jzFrontend() {
			parent::_constructor();
		}
		// use all of the default functions.
	}
?>