<?php 
	if (!defined(JZ_SECURE_ACCESS)) die ('Security breach detected.');
	/**
	* - JINZORA | Web-based Media Streamer -  
	* 
	* Jinzora is a Web-based media streamer, primarily desgined to stream MP3s 
	* (but can be used for any media file that can stream from HTTP). 
	* Jinzora can be integrated into a CMS site, run as a standalone application, 
	* or integrated into any PHP website.  It is released under the GNU GPL.
	* 
	* - Resources -
	* - Jinzora Author: Ross Carlson <ross@jasbone.com>
	* - Web: http://www.jinzora.org
	* - Documentation: http://www.jinzora.org/docs	
	* - Support: http://www.jinzora.org/forum
	* - Downloads: http://www.jinzora.org/downloads
	* - License: GNU GPL <http://www.gnu.org/copyleft/gpl.html>
	* 
	* - Contributors -
	* Please see http://www.jinzora.org/team.html
	* 
	* - Code Purpose -
	* Sets up much of the things that are needed but are not user definable
	*
	* @since 01.11.05
	* @author Ross Carlson <ross@jinzora.org>
	*/
	 
	//  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	// These settings are NOT user editable
	// Edit at your own risk!
	//  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

	if (!isset($root_dir)) {
		$root_dir = "";
	}
	if (!isset($cms_mode)) {
		$cms_mode = "false";
	} 
	// First let's set the web_root variable for when we need the whole path
	$web_root = str_replace($root_dir,"",str_replace("\\","/",getcwd()));
	// Now let's see if that's right, but looking to see if they are in virt directories
	if (stristr(str_replace("\\","/",getcwd()),$_SERVER['DOCUMENT_ROOT'])){
		$web_root = $_SERVER['DOCUMENT_ROOT'];
	}
	// Now let's make sure the web_root doesn't contain the root_dir
	$webArray = explode("/",$root_dir);
	for ($ctr=0; $ctr < count($webArray); $ctr++){
		$web_root = str_replace($webArray[$ctr],"",$web_root);
	}
	$web_root = str_replace("//","/",$web_root);
	if (substr($web_root,strlen($web_root)-1,1) == "/"){ $web_root = substr($web_root,0,strlen($web_root)-1); } 
	
	// Clear some vars.
	$backend = $skin = $my_frontend = $jz_language = $jz_lang_file = "";
	// Let's set some other system wide variables
	$this_pgm = "Jinzora";
	$version = "2.3.7";
	$jinzora_url = "http://www.jinzora.com";
	$show_jinzora_footer = true;
	$hide_pgm_name = false;
	$this_page = @$HTTP_SERVER_VARS["PHP_SELF"];
	if ($cms_mode == "true"){
		$url_seperator = "&";	
	} else {
		$url_seperator = "?";	
	}
	if (isset($_SERVER["PHP_AUTH_USER"])){
		$this_auth = $_SERVER["PHP_AUTH_USER"]. ":". $_SERVER["PHP_AUTH_PW"]. "@";
	} else {
		$this_auth = "";
	}
	if (isset($_SERVER['HTTPS'])){
		if ($_SERVER['HTTPS']  == "on"){
			$this_site = "https://" . $this_auth. $_SERVER["HTTP_HOST"];
		} else {
			$this_site = "http://" . $this_auth. $_SERVER["HTTP_HOST"];
		}
	} else {
		$this_site = "http://" . $this_auth. $_SERVER["HTTP_HOST"];
	}
	// Let's fix the REQUEST_URI bug
	if (!isset($_SERVER['REQUEST_URI']) and isset($_SERVER['SCRIPT_NAME'])){
		$_SERVER['REQUEST_URI'] = $_SERVER['SCRIPT_NAME'];
		if (isset($_SERVER['QUERY_STRING']) and !empty($_SERVER['QUERY_STRING']))
			$_SERVER['REQUEST_URI'] .= '?' . $_SERVER['QUERY_STRING'];
	}
	
	// Let's see if they are using the defaults or not
	
	// Let's set some dynamic style elements
	$jz_MenuItemLeft = "jzMenuItemLeft";
	$jz_MenuSplit = "jzMenuSplit";
	$jz_MainItemHover = "jzMainItemHover";
	
	/* First let's set to the default icons if we are using CMS */
	if ($cms_mode == "true"){
		// let's set some other CMS variables
		if (isset($_GET['name'])){ $this_name = $_GET['name']; } else { $this_name = ""; }
		if ($cms_type == "postnuke" or $cms_type == "mdpro"){
			$this_page = "${this_page}?op=modload&name=$this_name&file=index&";
			$row_colors = array('jz_row2','jz_row1');
			$jz_MenuItemHover = "jz_row2";
			$jz_MenuItem = "jz_row1";
		}
		if ($cms_type == "phpnuke" or $cms_type == "nsnnuke" or $cms_type == "cpgnuke"){
			$this_page = "modules.php?name=$this_name&";
			$row_colors = array('jz_row2','jz_row1');
			$jz_MenuItemHover = "jz_row2";
			$jz_MenuItem = "jz_row1";				
		}
		if ($cms_type == "mambo"){
			$this_page = substr($_SERVER['REQUEST_URI'],0,strpos($_SERVER['REQUEST_URI'],"?")). "?option=com_jinzora&";
			$row_colors = array('sectiontableentry2','tabheading');
			$jz_MenuItemHover = "tabheading";
			$jz_MenuItem = "sectiontableentry2";
		}
	} else {		
		$row_colors = array('jz_row1','jz_row2');
		$jz_MenuItemLeft = "jzMenuItemLeft";
		$jz_MenuSplit = "jzMenuSplit";
		$jz_MenuItemHover = "jzMenuItemHover";
		$jz_MainItemHover = "jzMainItemHover";
		$jz_MenuItem = "jzMenuItem";
	}

	// This would probably be better defined somewhere else
	$scrobble_server = "post.audioscrobbler.com";
	$scrobble_client_id = "pip";
	$scrobble_plugin_version = "0.1";
?>
